ALL_FIGURE_NAMES=$(shell cat pgfplots.figlist)
ALL_FIGURES=$(ALL_FIGURE_NAMES:%=%.pdf)

allimages: $(ALL_FIGURES)
	@echo All images exist now. Use make -B to re-generate them.

FORCEREMAKE:

include $(ALL_FIGURE_NAMES:%=%.dep)

%.dep:
	mkdir -p $(dir $@)
	touch $@ # will be filled later.

figures/expensiveexampleXtutorials_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXtutorials_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXtutorials_0.pdf: figures/expensiveexampleXtutorials_0.md5
figures/expensiveexampleXtutorials_1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXtutorials_1" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXtutorials_1.pdf: figures/expensiveexampleXtutorials_1.md5
figures/expensiveexampleXtutorials_2.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXtutorials_2" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXtutorials_2.pdf: figures/expensiveexampleXtutorials_2.md5
figures/expensiveexampleXtutorials_3.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXtutorials_3" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXtutorials_3.pdf: figures/expensiveexampleXtutorials_3.md5
figures/expensiveexampleXtutorials_4.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXtutorials_4" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXtutorials_4.pdf: figures/expensiveexampleXtutorials_4.md5
figures/expensiveexampleXtutorials_5.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXtutorials_5" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXtutorials_5.pdf: figures/expensiveexampleXtutorials_5.md5
figures/expensiveexampleXtutorials_6.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXtutorials_6" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXtutorials_6.pdf: figures/expensiveexampleXtutorials_6.md5
figures/expensiveexampleXreference_addplot_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_addplot_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_addplot_0.pdf: figures/expensiveexampleXreference_addplot_0.md5
figures/expensiveexampleXreference_addplot_1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_addplot_1" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_addplot_1.pdf: figures/expensiveexampleXreference_addplot_1.md5
figures/expensiveexampleXreference_addplot_2.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_addplot_2" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_addplot_2.pdf: figures/expensiveexampleXreference_addplot_2.md5
figures/expensiveexampleXreference_twodim_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_twodim_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_twodim_0.pdf: figures/expensiveexampleXreference_twodim_0.md5
figures/expensiveexampleXreference_twodim_1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_twodim_1" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_twodim_1.pdf: figures/expensiveexampleXreference_twodim_1.md5
figures/expensiveexampleXreference_twodim_2.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_twodim_2" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_twodim_2.pdf: figures/expensiveexampleXreference_twodim_2.md5
figures/expensiveexampleXreference_threedim_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_0.pdf: figures/expensiveexampleXreference_threedim_0.md5
figures/expensiveexampleXreference_threedim_1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_1" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_1.pdf: figures/expensiveexampleXreference_threedim_1.md5
figures/expensiveexampleXreference_threedim_2.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_2" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_2.pdf: figures/expensiveexampleXreference_threedim_2.md5
figures/expensiveexampleXreference_threedim_3.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_3" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_3.pdf: figures/expensiveexampleXreference_threedim_3.md5
figures/expensiveexampleXreference_threedim_4.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_4" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_4.pdf: figures/expensiveexampleXreference_threedim_4.md5
figures/expensiveexampleXreference_threedim_5.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_5" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_5.pdf: figures/expensiveexampleXreference_threedim_5.md5
figures/expensiveexampleXreference_threedim_6.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_6" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_6.pdf: figures/expensiveexampleXreference_threedim_6.md5
figures/expensiveexampleXreference_threedim_7.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_7" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_7.pdf: figures/expensiveexampleXreference_threedim_7.md5
figures/expensiveexampleXreference_threedim_8.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_8" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_8.pdf: figures/expensiveexampleXreference_threedim_8.md5
figures/expensiveexampleXreference_threedim_9.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_9" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_9.pdf: figures/expensiveexampleXreference_threedim_9.md5
figures/expensiveexampleXreference_threedim_10.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_10" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_10.pdf: figures/expensiveexampleXreference_threedim_10.md5
figures/expensiveexampleXreference_threedim_11.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_11" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_11.pdf: figures/expensiveexampleXreference_threedim_11.md5
figures/expensiveexampleXreference_threedim_12.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_12" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_12.pdf: figures/expensiveexampleXreference_threedim_12.md5
figures/expensiveexampleXreference_threedim_13.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_13" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_13.pdf: figures/expensiveexampleXreference_threedim_13.md5
figures/expensiveexampleXreference_threedim_14.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_14" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_14.pdf: figures/expensiveexampleXreference_threedim_14.md5
figures/expensiveexampleXreference_threedim_15.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_15" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_15.pdf: figures/expensiveexampleXreference_threedim_15.md5
figures/expensiveexampleXreference_threedim_16.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_16" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_16.pdf: figures/expensiveexampleXreference_threedim_16.md5
figures/expensiveexampleXreference_threedim_17.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_17" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_17.pdf: figures/expensiveexampleXreference_threedim_17.md5
figures/expensiveexampleXreference_threedim_18.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_18" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_18.pdf: figures/expensiveexampleXreference_threedim_18.md5
figures/expensiveexampleXreference_threedim_19.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_19" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_19.pdf: figures/expensiveexampleXreference_threedim_19.md5
figures/expensiveexampleXreference_threedim_20.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_20" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_20.pdf: figures/expensiveexampleXreference_threedim_20.md5
figures/expensiveexampleXreference_threedim_21.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_21" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_21.pdf: figures/expensiveexampleXreference_threedim_21.md5
figures/expensiveexampleXreference_threedim_22.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_22" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_22.pdf: figures/expensiveexampleXreference_threedim_22.md5
figures/expensiveexampleXreference_threedim_23.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_23" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_23.pdf: figures/expensiveexampleXreference_threedim_23.md5
figures/expensiveexampleXreference_threedim_24.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_24" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_24.pdf: figures/expensiveexampleXreference_threedim_24.md5
figures/expensiveexampleXreference_threedim_interior_colormap_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_interior_colormap_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_interior_colormap_0.pdf: figures/expensiveexampleXreference_threedim_interior_colormap_0.md5
figures/expensiveexampleXreference_threedim_interior_colormap_1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_interior_colormap_1" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_interior_colormap_1.pdf: figures/expensiveexampleXreference_threedim_interior_colormap_1.md5
figures/expensiveexampleXreference_threedim_interior_colormap_2.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_interior_colormap_2" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_interior_colormap_2.pdf: figures/expensiveexampleXreference_threedim_interior_colormap_2.md5
figures/expensiveexampleXreference_threedim_interior_colormap_3.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_interior_colormap_3" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_interior_colormap_3.pdf: figures/expensiveexampleXreference_threedim_interior_colormap_3.md5
figures/expensiveexampleXreference_threedim_surf_explicit_color_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_surf_explicit_color_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_surf_explicit_color_0.pdf: figures/expensiveexampleXreference_threedim_surf_explicit_color_0.md5
figures/expensiveexampleXreference_threedim_surf_explicit_color_1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_surf_explicit_color_1" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_surf_explicit_color_1.pdf: figures/expensiveexampleXreference_threedim_surf_explicit_color_1.md5
figures/expensiveexampleXreference_threedim_contour_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_contour_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_contour_0.pdf: figures/expensiveexampleXreference_threedim_contour_0.md5
figures/expensiveexampleXreference_threedim_contour_1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_contour_1" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_contour_1.pdf: figures/expensiveexampleXreference_threedim_contour_1.md5
figures/expensiveexampleXreference_threedim_contour_2.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_contour_2" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_contour_2.pdf: figures/expensiveexampleXreference_threedim_contour_2.md5
figures/expensiveexampleXreference_threedim_contour_3.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_contour_3" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_contour_3.pdf: figures/expensiveexampleXreference_threedim_contour_3.md5
figures/expensiveexampleXreference_threedim_contour_4.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_contour_4" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_contour_4.pdf: figures/expensiveexampleXreference_threedim_contour_4.md5
figures/expensiveexampleXreference_threedim_contour_5.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_contour_5" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_contour_5.pdf: figures/expensiveexampleXreference_threedim_contour_5.md5
figures/expensiveexampleXreference_threedim_contour_6.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_contour_6" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_contour_6.pdf: figures/expensiveexampleXreference_threedim_contour_6.md5
figures/expensiveexampleXreference_threedim_contour_contourdir_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_contour_contourdir_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_contour_contourdir_0.pdf: figures/expensiveexampleXreference_threedim_contour_contourdir_0.md5
figures/expensiveexampleXreference_threedim_contour_contourdir_1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_contour_contourdir_1" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_contour_contourdir_1.pdf: figures/expensiveexampleXreference_threedim_contour_contourdir_1.md5
figures/expensiveexampleXreference_threedim_contour_contourdir_2.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_contour_contourdir_2" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_contour_contourdir_2.pdf: figures/expensiveexampleXreference_threedim_contour_contourdir_2.md5
figures/expensiveexampleXreference_threedim_contour_contourdir_3.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_contour_contourdir_3" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_contour_contourdir_3.pdf: figures/expensiveexampleXreference_threedim_contour_contourdir_3.md5
figures/expensiveexampleXreference_threedim_contour_contourdir_4.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_contour_contourdir_4" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_contour_contourdir_4.pdf: figures/expensiveexampleXreference_threedim_contour_contourdir_4.md5
figures/expensiveexampleXreference_threedim_contour_contourdir_5.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_contour_contourdir_5" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_contour_contourdir_5.pdf: figures/expensiveexampleXreference_threedim_contour_contourdir_5.md5
figures/expensiveexampleXreference_threedim_parameterized_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_parameterized_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_parameterized_0.pdf: figures/expensiveexampleXreference_threedim_parameterized_0.md5
figures/expensiveexampleXreference_threedim_parameterized_1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_parameterized_1" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_parameterized_1.pdf: figures/expensiveexampleXreference_threedim_parameterized_1.md5
figures/expensiveexampleXreference_threedim_parameterized_2.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_parameterized_2" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_parameterized_2.pdf: figures/expensiveexampleXreference_threedim_parameterized_2.md5
figures/expensiveexampleXreference_threedim_parameterized_3.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_parameterized_3" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_parameterized_3.pdf: figures/expensiveexampleXreference_threedim_parameterized_3.md5
figures/expensiveexampleXreference_threedim_parameterized_4.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_parameterized_4" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_parameterized_4.pdf: figures/expensiveexampleXreference_threedim_parameterized_4.md5
figures/expensiveexampleXreference_threedim_25.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_25" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_25.pdf: figures/expensiveexampleXreference_threedim_25.md5
figures/expensiveexampleXreference_threedim_26.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_26" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_26.pdf: figures/expensiveexampleXreference_threedim_26.md5
figures/expensiveexampleXreference_threedim_27.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedim_27" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedim_27.pdf: figures/expensiveexampleXreference_threedim_27.md5
figures/expensiveexampleXreference_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_0.pdf: figures/expensiveexampleXreference_0.md5
figures/expensiveexampleXreference_1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_1" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_1.pdf: figures/expensiveexampleXreference_1.md5
figures/expensiveexampleXreference_2.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_2" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_2.pdf: figures/expensiveexampleXreference_2.md5
figures/expensiveexampleXreference_hideaxis_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_hideaxis_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_hideaxis_0.pdf: figures/expensiveexampleXreference_hideaxis_0.md5
figures/expensiveexampleXreference_3.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_3" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_3.pdf: figures/expensiveexampleXreference_3.md5
figures/expensiveexampleXreference_threedimaxis_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedimaxis_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedimaxis_0.pdf: figures/expensiveexampleXreference_threedimaxis_0.md5
figures/expensiveexampleXreference_threedimaxis_1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedimaxis_1" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedimaxis_1.pdf: figures/expensiveexampleXreference_threedimaxis_1.md5
figures/expensiveexampleXreference_threedimaxis_2.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedimaxis_2" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedimaxis_2.pdf: figures/expensiveexampleXreference_threedimaxis_2.md5
figures/expensiveexampleXreference_threedimaxis_3.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedimaxis_3" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedimaxis_3.pdf: figures/expensiveexampleXreference_threedimaxis_3.md5
figures/expensiveexampleXreference_threedimaxis_4.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedimaxis_4" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedimaxis_4.pdf: figures/expensiveexampleXreference_threedimaxis_4.md5
figures/expensiveexampleXreference_threedimaxis_5.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedimaxis_5" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedimaxis_5.pdf: figures/expensiveexampleXreference_threedimaxis_5.md5
figures/expensiveexampleXreference_threedimaxis_6.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedimaxis_6" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedimaxis_6.pdf: figures/expensiveexampleXreference_threedimaxis_6.md5
figures/expensiveexampleXreference_threedimaxis_7.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedimaxis_7" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedimaxis_7.pdf: figures/expensiveexampleXreference_threedimaxis_7.md5
figures/expensiveexampleXreference_threedimaxis_8.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_threedimaxis_8" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_threedimaxis_8.pdf: figures/expensiveexampleXreference_threedimaxis_8.md5
figures/expensiveexampleXreference_4.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_4" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_4.pdf: figures/expensiveexampleXreference_4.md5
figures/expensiveexampleXreference_5.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_5" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_5.pdf: figures/expensiveexampleXreference_5.md5
figures/expensiveexampleXreference_nodes_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_nodes_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_nodes_0.pdf: figures/expensiveexampleXreference_nodes_0.md5
figures/expensiveexampleXreference_nodes_1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_nodes_1" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_nodes_1.pdf: figures/expensiveexampleXreference_nodes_1.md5
figures/expensiveexampleXreference_nodes_2.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_nodes_2" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_nodes_2.pdf: figures/expensiveexampleXreference_nodes_2.md5
figures/expensiveexampleXreference_nodes_3.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXreference_nodes_3" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXreference_nodes_3.pdf: figures/expensiveexampleXreference_nodes_3.md5
figures/expensiveexampleXpatchplot_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXpatchplot_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXpatchplot_0.pdf: figures/expensiveexampleXpatchplot_0.md5
figures/expensiveexampleXpolar_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXpolar_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXpolar_0.pdf: figures/expensiveexampleXpolar_0.md5
figures/expensiveexampleX0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleX0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleX0.pdf: figures/expensiveexampleX0.md5
figures/expensiveexampleX1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleX1" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleX1.pdf: figures/expensiveexampleX1.md5
figures/expensiveexampleXmemspeed_0.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXmemspeed_0" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXmemspeed_0.pdf: figures/expensiveexampleXmemspeed_0.md5
figures/expensiveexampleXmemspeed_1.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXmemspeed_1" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXmemspeed_1.pdf: figures/expensiveexampleXmemspeed_1.md5
figures/expensiveexampleXmemspeed_2.pdf: 
	pdflatex -shell-escape -halt-on-error -interaction=batchmode -jobname "figures/expensiveexampleXmemspeed_2" "\def\tikzexternalrealjob{pgfplots}\input{pgfplots}"

figures/expensiveexampleXmemspeed_2.pdf: figures/expensiveexampleXmemspeed_2.md5
